summaryrefslogtreecommitdiff
path: root/bbdb.emacsen-remove
diff options
context:
space:
mode:
authorBarak A. Pearlmutter <bap@debian.org>2014-02-24 07:17:32 -0500
committerBarak A. Pearlmutter <bap@debian.org>2014-02-24 07:17:32 -0500
commitab341611e505d2771a6d3f51444554a245360be0 (patch)
tree87002c4748b4ede5fc01181685092901fa1b8989 /bbdb.emacsen-remove
Import bbdb_2.36-4.debian.tar.xz
[dgit import tarball bbdb 2.36-4 bbdb_2.36-4.debian.tar.xz]
Diffstat (limited to 'bbdb.emacsen-remove')
-rwxr-xr-xbbdb.emacsen-remove36
1 files changed, 36 insertions, 0 deletions
diff --git a/bbdb.emacsen-remove b/bbdb.emacsen-remove
new file mode 100755
index 0000000..f912bd1
--- /dev/null
+++ b/bbdb.emacsen-remove
@@ -0,0 +1,36 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/bbdb
+
+# I don't think that remove scripts should have -e set, because
+# that makes the package unremovable if the script fails.
+# set -e
+
+FLAVOR=$1
+PACKAGE="bbdb"
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo Need argument to determine FLAVOR of emacs;
+ exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+ echo Internal error: need package name;
+ exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+case "${FLAVOR}" in
+ emacs)
+ echo "remove/${PACKAGE}: Ignoring Flavor ${FLAVOR} ..."
+ ;;
+ *)
+ echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+ rm -rf ${ELCDIR}
+
+ echo " done."
+ ;;
+esac
+
+exit 0;